From a423ce977fb03aba3cd0b26d8d417304bda595b7 Mon Sep 17 00:00:00 2001
From: Matej Horvat <matej.horvat@guest.arnes.si>
Date: Sun, 26 Nov 2017 02:33:44 +0100
Subject: [PATCH] 27.6.1 SSE

---
 .mozconfig                                         | 23 ++++++++++++++++++++++
 browser/base/content/aboutDialog.xul               | 10 +++++-----
 .../branding/unofficial/pref/palemoon-branding.js  |  5 +----
 3 files changed, 29 insertions(+), 9 deletions(-)
 create mode 100644 .mozconfig

diff --git a/.mozconfig b/.mozconfig
new file mode 100644
index 000000000..fd59e1a7f
--- /dev/null
+++ b/.mozconfig
@@ -0,0 +1,23 @@
+ac_add_options --disable-crashreporter
+ac_add_options --disable-debug
+ac_add_options --disable-debug-symbols
+ac_add_options --disable-maintenance-service
+ac_add_options --disable-metro
+ac_add_options --disable-mochitests
+ac_add_options --disable-official-vendor
+ac_add_options --disable-parental-controls
+ac_add_options --disable-tests
+ac_add_options --disable-update-packaging
+ac_add_options --disable-updater
+ac_add_options --disable-webrtc
+ac_add_options --disable-websms-backend
+ac_add_options --disable-windows-mobile-components
+ac_add_options --enable-application=browser
+ac_add_options --enable-chrome-format=omni
+ac_add_options --enable-jemalloc
+ac_add_options --enable-optimize="-O2 -arch:SSE -GS- -fp:precise -Qfast_transcendentals -Qpar"
+ac_add_options --enable-shared-js
+ac_add_options --enable-strip
+ac_add_options --enable-strip-libs
+ac_add_options --with-distribution-id=Palemoon
+mk_add_options MOZ_CO_PROJECT=browser
diff --git a/browser/base/content/aboutDialog.xul b/browser/base/content/aboutDialog.xul
index 69501c043..ae23575bd 100644
--- a/browser/base/content/aboutDialog.xul
+++ b/browser/base/content/aboutDialog.xul
@@ -45,7 +45,7 @@
 #ifdef HAVE_64BIT_BUILD
 #expand <label id="PMversion">Version: __MOZ_APP_VERSION__ (64-bit)</label>
 #else
-#expand <label id="PMversion">Version: __MOZ_APP_VERSION__ (32-bit)</label>
+#expand <label id="PMversion">Version: __MOZ_APP_VERSION__ (32-bit, SSE)</label>
 #endif
         <label id="distribution" class="text-blurb"/>
         <label id="distributionId" class="text-blurb"/>
@@ -88,14 +88,14 @@
           </vbox>
 
         <description class="text-pmcreds">
-          New Moon unofficial version of Pale Moon released for windows xp.
+          Compiled by <label class="text-link" href="http://matejhorvat.si/">Matej Horvat</label>.
         </description>
         <description class="text-pmcreds">
-          Therefore you may not ask any support from official Pale moon places like forum and so.
+          Based on <label class="text-link" href="https://github.com/Feodor2/Mypal">patches</label> to Pale Moon for Windows XP by Fedor2.
         </description>
         <description class="text-blurb">
-          There is a <label class="text-link" href="https://github.com/Feodor2/Mypal">page on gihub</label>
-        </description>    
+          This is not an official Pale Moon product and is therefore not supported by the Pale Moon project.
+        </description>
         </vbox>
       </vbox>
     </hbox>
diff --git a/browser/branding/unofficial/pref/palemoon-branding.js b/browser/branding/unofficial/pref/palemoon-branding.js
index f71a8093b..b157af6e7 100644
--- a/browser/branding/unofficial/pref/palemoon-branding.js
+++ b/browser/branding/unofficial/pref/palemoon-branding.js
@@ -4,10 +4,7 @@
 #include ../../shared/pref/uaoverrides.inc
 
 pref("startup.homepage_override_url","http://www.palemoon.org/unofficial.shtml");
-pref("app.releaseNotesURL", "https://github.com/Feodor2/MyPal");
-
-// Enable Firefox compatmode by default.
-pref("general.useragent.compatMode", 2);
+pref("app.releaseNotesURL", "http://matejhorvat.si/en/unfiled/pmxp/");
 
 // Updates disabled
 pref("app.update.enabled", false);
-- 
2.15.0.windows.1

